File: Makefile.PL

package info (click to toggle)
libnet-dns-sec-perl 1.03-1
  • links: PTS, VCS
  • area: main
  • in suites: stretch
  • size: 240 kB
  • ctags: 48
  • sloc: perl: 721; makefile: 4
file content (71 lines) | stat: -rw-r--r-- 1,483 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
#
# $Id: Makefile.PL 1495 2016-08-23 08:54:04Z willem $	-*-perl-*-
#


warn <<AMEN if $] < 5.008;

Net::DNS::SEC has been tested with Perl 5.8

The author is confident that this package will work with version 5.6
but not confident that it will work with any earlier version.

The latest version of perl can always be found at:
	http://www.cpan.org/src/latest.tar.gz
AMEN


use ExtUtils::MakeMaker;
use constant MM => eval $ExtUtils::MakeMaker::VERSION;

# See perldoc ExtUtils::MakeMaker for details of how to influence
# the contents of the Makefile that is written.

my @author = ( 'Olaf Kolkman', 'Dick Franks' );

my %metadata = (
	NAME		 => 'Net::DNS::SEC',
	VERSION_FROM	 => 'lib/Net/DNS/SEC.pm',
	ABSTRACT_FROM	 => 'lib/Net/DNS/SEC.pm',
	AUTHOR		 => MM < 6.5702 ? shift(@author) : [@author],
	LICENSE		 => 'mit',
	MIN_PERL_VERSION => 5.006,
	);


my %prerequisite = (
	Net::DNS	       => 1.01,
	Crypt::OpenSSL::Bignum => 0.05,
	Crypt::OpenSSL::RSA    => 0.28,
	File::Spec	       => 0.86,
	MIME::Base64	       => 2.11,
	Test::More	       => 0.47,
	);


my %optional = (
	Crypt::OpenSSL::DSA    => 0.15,
	Crypt::OpenSSL::EC     => 1.01,
	Crypt::OpenSSL::ECDSA  => 0.06,
	Crypt::OpenSSL::Random => 0.10,
	Digest::GOST	       => 0.06,
	Digest::SHA	       => 5.23,
	);


WriteMakefile(
	%metadata,
	PREREQ_PM  => {%prerequisite},
	META_MERGE => {recommends => {%optional}},
	);


sub MY::libscan {
	my $path = $_[1];
	return '' if $path =~ /\B\.svn\b/;
	return $path;
}


__END__